Package wx :: Class URLDataObject

[frames | no frames]

## Type URLDataObject

    object --+
             |
    DataObject --+
                 |
                URLDataObject

This data object holds a URL in a format that is compatible with some browsers such that it is able to be dragged to or from them.

Method Summary
URLDataObject | ``__init__`(self, url)` This data object holds a URL in a format that is compatible with some browsers such that it is able to be dragged to or from them.
String | ``GetURL`(self)` Returns a string containing the current URL.
| ``SetURL`(self, url)` Set the URL.

Property Summary
| `thisown`: The membership flag
| `URL`: See `GetURL` and `SetURL`

Class Variable Summary

Method Details

### __init__(self, url=EmptyString)
(Constructor)

This data object holds a URL in a format that is compatible with some browsers such that it is able to be dragged to or from them.

  Parameters:
    `url`
    (type=String)

  Returns:
    URLDataObject
  Overrides:
    `wx.DataObject.__init__`

### GetURL(self)

Returns a string containing the current URL.

  Returns:
    String

### SetURL(self, url)

Set the URL.

  Parameters:
    `url`
    (type=String)

Property Details

### thisown

The membership flag

### URL

See `GetURL` and `SetURL`

  Get Method:
    `GetURL`(self)
  Set Method:
    `SetURL`(self, url)

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:11:43 2007 | http://epydoc.sf.net